---
layout: markdown_page
title: "AI Evaluation Foundational Models"
description: "Details on the foundation models we've used and tested"
---

## On this page
{:.no_toc}

- TOC
{:toc}


## Why Foundational Models?

In the dynamic landscape of AI research and development, ensuring the reliability and effectiveness of the AI models upon which we build GitLab Duo AI features is paramount. To achieve this, the AI Model Validation Team relies on foundational models as benchmarks for the Centralized Evaluation Framework.

#### Validation

Foundational models provide a reference point for validating the correctness and reliability of Duo's AI features. We use foundational models as a benchmark for comparision with Duo Features to assess the quality of our underlying models and AI-powered features against the industry landscape.

#### Performance and Progress

GitLab is constantly identifying new models for inclusion in the Centralized Evaluation Frameowork, allowing us to continually iterate on our features and ensure that the underlying models are the best fit for the feature. By comparing the performance metrics of a new model against those of foundational benchmarks and our Duo Features, we can assess whether the new model achieves improvements in accuracy, efficiency, or other relevant criteria. Tracking the performance of foundational models over time also allows Gitlab to monitor progress and leverage advancements in AI technology. By regularly updating benchmarks and evaluating models against historical baselines, we can rapidly identify and assess new models for use in Duo Features.

#### Standardization

Use of foundational models also helps standardize evaluation methodologies and benchmark datasets across the industry. Using established benchmarks enables consistent and reproducible evaluation of AI models, facilitating fair comparisons.

## Our Foundational Models

<table>
<tr>
<td>

Provider
</td>
<td>

## Our Foundational Models

<table>
<tr>
<td>Provider</td>
<td>Foundational Model</td>
<td>Feature Use</td>
</tr>
<tr>
<td>Anthropic</td>
<td>Claude 2</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>Anthropic</td>
<td>Claude 3 Opus</td>
<td>Duo Chat</td>
</tr>
<tr>
<td>Anthropic</td>
<td>Claude 3 Sonnet</td>
<td>Duo Chat</td>
</tr>
<tr>
<td>GitLab</td>
<td>Duo Chat</td>
<td>Duo Chat</td>
</tr>
<tr>
<td>Meta</td>
<td>Code Llama 13B</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>OpenAI</td>
<td>GPT 3.5</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>OpenAI</td>
<td>GPT 4</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>OpenAI</td>
<td>GPT 4 Turbo</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>Vertex AI</td>
<td>Code Gecko</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>Vertex AI</td>
<td>code-bison</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>Vertex AI</td>
<td>text-bison</td>
<td>Code Suggestion</td>
</tr>
<tr>
<td>Vertex AI</td>
<td>Gemini Pro 1.5</td>
<td>Duo Chat</td>
</tr>
</table>

